Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162033 - system-config-printer crashes with a traceback when driver==Postscript
Summary: system-config-printer crashes with a traceback when driver==Postscript
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 11:27 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-06 14:19:07 UTC


Attachments (Terms of Use)

Description Hans de Goede 2005-06-29 11:27:21 UTC
I had some problems with my printer so I decided to reset all my printer
configfiles to default, start system-config-printer and add my printer.

My printer is a HP Laserjet 2100, this one contains in the foomatic xml file:
<driver>Postscript</driver>

Problem:
-Selecting this printer (/dev/lp0)
-finish adding it
-click edit
-traceback:
The printer HP LaserJet 2100 (ID: HP-LaserJet_2100) is not supported by the
driver Postscript!
Couldn't load driver information.
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 600, in edit_button_clicked
    if self.editQueue.editQueueDialog (iter):
  File "/usr/share/printconf/util/editQueue.py", line 427, in editQueueDialog
    self.select_printer_iter (iter)
  File "/usr/share/printconf/util/editQueue.py", line 511, in select_printer_iter
    self.printer_model_selected (self.printer_view)
  File "/usr/share/printconf/util/editQueue.py", line 841, in printer_model_selected
    driver_index = self.recommended_driver
AttributeError: editQueue instance has no attribute 'recommended_driver'


Selecting 2100M works fine.

Also the entry for the 2100 is plain wrong since this one can't do Postscript,
it should use the plxmono or lj5gray driver. See the entry for the 2100M which
can do postscript but defaults to plxmono because the 2100M identifies itself as
2100 which makes it impossible to distuingish the two for hw autodetect.

Comment 1 Tim Waugh 2005-06-29 14:07:35 UTC
Reported upstream.

Comment 2 Hans de Goede 2005-06-29 14:47:47 UTC
I don't want to be a PITA, but my reason for reporting this seperatly and
against system-config-printer, is that I believe that an error in the foomatic
database should not lead to a traceback and a crash but to a nice userfriendly
dialogbox.



Comment 3 Tim Waugh 2005-06-29 14:53:55 UTC
This particular issue is that the database is not self-consistent.  There's not
much friendly you can say to the user at that point. :-/

Hmm, perhaps foomatic ought to have a consistency check in its %install step.

Comment 4 Hans de Goede 2005-06-30 05:51:13 UTC
Yes that would be an excellent idea and solution.
Now all thats left is coding it :)

Comment 5 Tim Waugh 2005-07-06 14:19:07 UTC
Turns out there are several such inconsistencies:

http://www.linuxprinting.org/pipermail/foomatic-devel/2005q3/002193.html



Note You need to log in before you can comment on or make changes to this bug.